<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Callback</title>
    <!--<script type="text/javascript" src="script.js"></script>-->
    <script>  
        /*function addScript(src) {
            var script = document.createElement('script');
            script.src = src;
            document.head.append(script);
        }
        addScript('script.js');
        sayHello();*/

        function addScript(src, callback) {
            var script = document.createElement('script');
            script.src = src;
            script.onload = () => callback();
            document.head.append(script);
        }  
        addScript('script.js', function() {
            //callback này được gọi ngay khi file script được load thành công
            sayHello();//bây giờ nó đã hoạt động
        })  
    </script>
</head>
<body>
    
</body>
</html>